﻿@font-face {
    font-family: 'racewire-app';
    src: url('/fonts/racewire-app.eot?9eoh84');
    src: url('/fonts/racewire-app.eot?9eoh84#iefix') format('embedded-opentype'), url('/fonts/racewire-app.ttf?9eoh84') format('truetype'), url('/fonts/racewire-app.woff?9eoh84') format('woff'), url('/fonts/racewire-app.svg?9eoh84#racewire-app') format('svg');
    font-weight: normal;
    font-style: normal;
}

html {
    background: url(/images/road-white.png) no-repeat center center fixed #0f4b7f;
    -webkit-background-size: cover;
    -moz-background-size: cover;
    -o-background-size: cover;
    background-size: cover;
}

body {
    font-family: 'Roboto', sans-serif;
    color: #fff;
    margin: 0;
}

body:-webkit-full-screen {
    background: url(/images/road-white.png) no-repeat center center fixed #0f4b7f;
    -webkit-background-size: cover;
    -moz-background-size: cover;
    -o-background-size: cover;
    background-size: cover;
}

body:-moz-full-screen {
    background: url(/images/road-white.png) no-repeat center center fixed #0f4b7f;
    -webkit-background-size: cover;
    -moz-background-size: cover;
    -o-background-size: cover;
    background-size: cover;
}

body:-ms-fullscreen {
    background: url(/images/road-white.png) no-repeat center center fixed #0f4b7f;
    -webkit-background-size: cover;
    -moz-background-size: cover;
    -o-background-size: cover;
    background-size: cover;
}

body:full-screen { /*pre-spec */
    background: url(/images/road-white.png) no-repeat center center fixed #0f4b7f;
    -webkit-background-size: cover;
    -moz-background-size: cover;
    -o-background-size: cover;
    background-size: cover;
}

body:fullscreen { /* spec */
    background: url(/images/road-white.png) no-repeat center center fixed #0f4b7f;
    -webkit-background-size: cover;
    -moz-background-size: cover;
    -o-background-size: cover;
    background-size: cover;
}

select, button, input {
    font-size: 1.3em;
}

#header {
    background:#fff;
    width: 100%;
    margin: 0;
    padding: 4px;
    position: relative;
    z-index: 500;
}

#title {
    font-weight: bold;
    font-size: 1.3em;
    color: #000;
    text-align: center;
    margin: 0;
}

#title img {
    vertical-align: middle;
}

.clearfix {
    clear: both;
    content: '';
    display: block;
}

.margin-half {
    margin: 0 3.1222%;
}

textarea {
    resize: none;
}

select {
    border-color: #ccc;
    border-radius: 3px;
    border-width: 1px;
}

a:focus {
    border: 0;
    outline: 0;
}

a.anchor {
    display: block;
    position: relative;
    top: -190px;
    visibility: hidden;
}

.hovered {
    color: #fb4834;
}

#container {
    width: 100%;
    width: 100vw;
    height: 100vh;
    padding: 0;
    margin: 0;
    position: relative;
}

#intro-container {
    display: none;
    width: 500px;
    margin:100px auto;
}

#intro-race-date {
    display: none;
}

#inner-container {
    margin: auto;
    width: 504px;
    height: 600px;
}

@media screen and (orientation:portrait) {

    #inner-container {
        padding-top:5%;
    }
    #entry {
    }
    #keypad {
        height: 40%;
        max-height: 400px;
    }
    #results {
        padding: 0;
    }
    #results-bib {
        margin:10px 0 0;
    }
    #results-preloader {
        top: 10%;
        left: 150px;
    }
    #results-name {
        padding: 0.3em 0 0.1em;
    }
    #results-time {
        padding: 0.1em 0 0.3em;
    }
}

@media screen and (orientation:landscape) {

    #inner-container {
        padding-top: 5%;
    }
    #entry {
        float:left;
    }
    #keypad {
        width: 100%;
        height: 60%;
    }
    #results {
        float:left;
        padding: 0 0 0 40px;
    }
    #results-bib {
        margin:0 0 48px;
    }
    #results-preloader {
        top: 40%;
        left:30%;
    }
    #results-name {
        padding: 0.3em 0 0.1em;
    }
    #results-time {
        padding: 0.1em 0 0.3em;
    }
}

#entry {
    width: 500px;
}

#display {
    font-weight: bold;
    font-size: 3em;
    text-align: right;
    padding: 0.3em;
    color: #0f4b7f;
    background-color: rgba(255, 255, 255, 0.6);
    border-radius: 5px;
    margin-top:0;
}

#keypad {
    width: 100%;
}

    #keypad td {
        width: 33%;
        padding: 0;
    }

    #keypad button {
        height: 60px;
        width: 100%;
        font-weight: bold;
        font-size: 3em;
        text-align: right;
        padding: 0 0.3em;
        margin:0;
        background-color: rgba(0,0,0,0.4);
        color: #fff;
        border-radius: 5px;
        border-width: 0;
    }

        #keypad button:hover {
            background-color: rgba(255, 255, 255, 0.3);
            color: #000;
        }

#results {
    width: 460px;
    height: 460px;
    position:relative;
    display: none;
}

#results-preloader {
    position: absolute;
    display:none;
}

#results-error {
    font-weight: bold;
    font-size: 3em;
    padding: 0.3em 0;
    margin: 0;
    display:none;
}

#results-pane {
    display:none;
}

#results-bib {
    font-weight: bold;
    font-size: 3em;
    padding: 0.3em;
    color: #000;
    background-color: #fff;
    border-radius: 5px;
    text-align: center;
    min-width: 1.5em;
    display:inline-block;
}

#results-name, #results-time {
    font-weight: bold;
    font-size: 3em;
    margin: 0;
}

#details-segments {
    font-size: 1.2em;
}

.segment-icon {
    width: 2em;
    float:left;
    padding-left:2em;
}

.segment-time-distance {
    width: 6em;
    text-align: right;
    float:left;
}

.segment-pace {
    float:left;
}

.result-details {
    list-style-type: none;
    padding: 2em 0 0;
}

.result-details li {
    float: left;
    margin:3px;
    padding:6px;
    background-color: rgba(150,150,150,0.8);
    border-radius: 5px;
    width: 8em;
    text-align:center;
}

.title {
    height:1.8em;
}

.value {
    font-weight: bold;
}

.symbol {
    font-family: 'racewire-app' !important;
}

#awards-container {
    background: #eee;
    width: 100%;
    padding: -502px;
    height:100%;
    margin: auto;
    position: absolute;
    top: 0;
    display:none;
}

#awards-text {
    font-family: 'Courier';
    color: #000;
    width:600px;
    margin: auto;
    overflow-y: scroll;
    height:100%;
}

    #awards-text h3 {
        margin-top: 70px;
    }

.admin-title-panel
{
    background-color: rgba(255, 255, 255, .6); 
    margin-top:1em;
    margin-bottom:1em;
    padding:.6em; 
    border-style:solid; 
    border-width: 5px; 
    border-color: rgba(150, 15, 0, .85); 
    text-align: center;
}

.admin-panel
{
    background-color: rgba(255, 255, 255, .6);
    margin-top:1em;
    margin-bottom:1em;
    padding:1.2em; 
    border-style:solid; 
    border-width: 5px; 
    border-color: rgba(150, 15, 0, .85); 
}

.admin-panel table
{
    background-color: rgba(255, 255, 255, .3); 
}

.admin-panel th, td
{
    padding: .5em 5em;
}